/*******************************************************************************
 * Copyright (c) 2012-2013 Biomedical Image Group (BIG), EPFL, Switzerland.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Ricard Delgado-Gonzalo (ricard.delgado@gmail.com)
 *     Nicolas Chenouard (nicolas.chenouard@gmail.com)
 *     Philippe Th&#233;venaz (philippe.thevenaz@epfl.ch)
 *     Emrah Bostan (emrah.bostan@gmail.com)
 *     Ulugbek S. Kamilov (kamilov@gmail.com)
 *     Ramtin Madani (ramtin_madani@yahoo.com)
 *     Masih Nilchian (masih_n85@yahoo.com)
 *     C&#233;dric Vonesch (cedric.vonesch@epfl.ch)
 *     Virginie Uhlmann (virginie.uhlmann@epfl.ch)
 *     Cl&#233;ment Marti (clement.marti@epfl.ch)
 *     Julien Jacquemot (julien.jacquemot@epfl.ch)
 ******************************************************************************/
package plugins.big.bigsnakeutils.icy.gui.curve;

import plugins.adufour.vars.gui.model.VarEditorModel;

/**
 * VarEditorModel for Curve objects. By default, a curve is always valid.
 * 
 * @version May 3, 2014
 * 
 * @author Julien Jacquemot
 */
public class CurveModel implements VarEditorModel<Curve> {
	private final Curve defaultValue_;

	/** Default constructor. */
	public CurveModel(final Curve defaultValue) {
		this.defaultValue_ = defaultValue;
	}

	@Override
	public boolean isValid(Curve value) {
		return true;
	}

	@Override
	public Curve getDefaultValue() {
		return defaultValue_;
	}
}
