/*******************************************************************************
 * Copyright (c) 2012-2013 Biomedical Image Group (BIG), EPFL, Switzerland.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Ricard Delgado-Gonzalo (ricard.delgado@gmail.com)
 *     Nicolas Chenouard (nicolas.chenouard@gmail.com)
 *     Philippe Th&#233;venaz (philippe.thevenaz@epfl.ch)
 *     Emrah Bostan (emrah.bostan@gmail.com)
 *     Ulugbek S. Kamilov (kamilov@gmail.com)
 *     Ramtin Madani (ramtin_madani@yahoo.com)
 *     Masih Nilchian (masih_n85@yahoo.com)
 *     C&#233;dric Vonesch (cedric.vonesch@epfl.ch)
 *     Virginie Uhlmann (virginie.uhlmann@epfl.ch)
 *     Cl&#233;ment Marti (clement.marti@epfl.ch)
 *     Julien Jacquemot (julien.jacquemot@epfl.ch)
 ******************************************************************************/
package plugins.big.bigsnakeutils.shape.priorshapes.shapes;

import plugins.big.bigsnakeutils.icy.snake2D.Snake2DNode;

/**
 * Shape prior with taking the shape of a cross.
 * 
 * @version November 13, 2013
 * 
 * @author Ricard Delgado-Gonzalo (ricard.delgado@gmail.com)
 */
public class Cross extends PriorShape {

	public Cross() {
		name_ = new String("Cross");
		minNumberNodes_ = 16;
		coef_ = new Snake2DNode[minNumberNodes_];
		coef_[0] = new Snake2DNode(679, 251);
		coef_[1] = new Snake2DNode(574, 189);
		coef_[2] = new Snake2DNode(679, 134);
		coef_[3] = new Snake2DNode(646, 85);
		coef_[4] = new Snake2DNode(597, 53);
		coef_[5] = new Snake2DNode(541, 155);
		coef_[6] = new Snake2DNode(480, 53);
		coef_[7] = new Snake2DNode(431, 85);
		coef_[8] = new Snake2DNode(399, 134);
		coef_[9] = new Snake2DNode(508, 189);
		coef_[10] = new Snake2DNode(399, 251);
		coef_[11] = new Snake2DNode(431, 300);
		coef_[12] = new Snake2DNode(480, 333);
		coef_[13] = new Snake2DNode(542, 224);
		coef_[14] = new Snake2DNode(597, 333);
		coef_[15] = new Snake2DNode(646, 300);
	}
}
